diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/wifi-phy-cca-test.cc ns-3.45/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.44/src/wifi/test/wifi-phy-cca-test.cc	2025-03-09 16:55:49.811372800 -0700
+++ ns-3.45/src/wifi/test/wifi-phy-cca-test.cc	2025-06-01 20:34:45.640702200 -0700
@@ -1439,181 +1670,136 @@
                             this,
                             "Reception of a signal that occupies S20 followed by the reception of "
                             "another signal that occupies P20");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(1) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(50);
         ScheduleTest(
             delay,
             {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}},
              {dBm_u{-60}, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // state of primary stays idle after aCCATime
-                {MicroSeconds(50) + aCcaTime,
-                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after aCCATime that
-                                          // followed the second transmission
+                {aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after
+                                          // aCcaTimeWithDelta that followed the second
+                                          // transmission
                 {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
                 {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{aCcaTime, // notification upon reception of the first signal
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY,
-              ((m_channelWidth > 40) ? ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                                                  MicroSeconds(100),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)}
-                                                              : std::vector<Time>{MicroSeconds(0),
-                                                                                  MicroSeconds(100),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)})
-                                     : std::vector<Time>{MicroSeconds(0), MicroSeconds(100)})},
-             {MicroSeconds(50) + aCcaTime, // notification upon reception of the second signal
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
               MicroSeconds(50) + MicroSeconds(100),
               WIFI_CHANLIST_PRIMARY,
-              ((m_channelWidth > 40) ? ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(100),
-                                                                                  MicroSeconds(50),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)}
-                                                              : std::vector<Time>{MicroSeconds(100),
-                                                                                  MicroSeconds(50),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)})
-                                     : std::vector<Time>{MicroSeconds(100), MicroSeconds(50)})}});
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY updates per-20 MHz CCA durations if a signal arrives on the secondary channel
-        // while primary is CCA-BUSY
+        // Verify PHY updates per-20 MHz CCA durations if a signal arrives on the secondary
+        // channel while primary is CCA-BUSY
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a signal that occupies P20 followed by the reception of "
                             "another signal that occupies S20");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(0) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = MicroSeconds(50);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(100);
         ScheduleTest(
             delay,
             {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}},
              {dBm_u{-60}, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
-                {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
-                {MicroSeconds(50) + aCcaTime,
-                 WifiPhyState::CCA_BUSY}, // state of primary is still CCA-BUSY after aCCATime that
-                                          // followed the second transmission
+                {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::CCA_BUSY}, // state of primary is still CCA-BUSY after
+                                          // aCcaTimeWithDelta that followed the second
+                                          // transmission
                 {MicroSeconds(100) - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the first transmission ends
                 {MicroSeconds(100) + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the first transmission ends
             },
-            {{aCcaTime, // notification upon reception of the first signal
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
               MicroSeconds(100),
               WIFI_CHANLIST_PRIMARY,
-              ((m_channelWidth > 40) ? ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(100),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)}
-                                                              : std::vector<Time>{MicroSeconds(100),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)})
-                                     : std::vector<Time>{MicroSeconds(100), MicroSeconds(0)})},
-             {MicroSeconds(50) + aCcaTime, // notification upon reception of the second signal
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
               MicroSeconds(100),
               WIFI_CHANLIST_PRIMARY,
-              ((m_channelWidth > 40) ? ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(50),
-                                                                                  MicroSeconds(100),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)}
-                                                              : std::vector<Time>{MicroSeconds(50),
-                                                                                  MicroSeconds(100),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)})
-                                     : std::vector<Time>{MicroSeconds(50), MicroSeconds(100)})}});
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE when a 20 MHz HE SU PPDU with received power below the CCA
+        // Verify PHY state stays IDLE when a 20 MHz PPDU with received power below the CCA
         // sensitivity threshold occupies S40
         Simulator::Schedule(
             delay,
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
-            "Reception of a 20 MHz HE PPDU that occupies S20 below CCA sensitivity threshold");
+            "Reception of a 20 MHz PPDU that occupies S20 below CCA sensitivity threshold");
         ScheduleTest(delay,
                      {},
                      {{dBm_u{-75}, MicroSeconds(0), S20_CENTER_FREQUENCY, MHz_u{20}}},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {PpduDurations.at(MHz_u{20}) - smallDelta,
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {ppduDurations.at(MHz_u{20}) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {PpduDurations.at(MHz_u{20}) + smallDelta,
+                         {ppduDurations.at(MHz_u{20}) + smallDelta,
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
         delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 20 MHz HE SU PPDU
+        // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 20 MHz PPDU
         // with received power above the CCA sensitivity threshold occupies S20
         Simulator::Schedule(
             delay,
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
-            "Reception of a 20 MHz HE PPDU that occupies S20 above CCA sensitivity threshold");
-        ScheduleTest(
-            delay,
-            {},
-            {{dBm_u{-70}, MicroSeconds(0), S20_CENTER_FREQUENCY, MHz_u{20}}},
-            {
-                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                {PpduDurations.at(MHz_u{20}) - smallDelta,
-                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {PpduDurations.at(MHz_u{20}) + smallDelta,
-                 WifiPhyState::IDLE} // IDLE just after the transmission ends
-            },
-            {{aCcaTime,
-              PpduDurations.at(MHz_u{20}),
-              WIFI_CHANLIST_SECONDARY,
-              ((m_channelWidth > MHz_u{40})
-                   ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{NanoSeconds(0),
-                                                                       PpduDurations.at(MHz_u{20}),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0)}
-                                                   : std::vector<Time>{NanoSeconds(0),
-                                                                       PpduDurations.at(MHz_u{20}),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0)})
-                   : std::vector<Time>{NanoSeconds(0), PpduDurations.at(MHz_u{20})})}});
+            "Reception of a 20 MHz PPDU that occupies S20 above CCA sensitivity threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(1) = ppduDurations.at(MHz_u{20});
+        ScheduleTest(delay,
+                     {},
+                     {{dBm_u{-70}, MicroSeconds(0), S20_CENTER_FREQUENCY, MHz_u{20}}},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {ppduDurations.at(MHz_u{20}) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {ppduDurations.at(MHz_u{20}) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{aCcaTimeWithDelta,
+                       ppduDurations.at(MHz_u{20}),
+                       WIFI_CHANLIST_SECONDARY,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE but CCA-BUSY indication is still reported as long as a signal
-        // above the energy detection threshold occupies the S20 while a 40 MHz PPDU below the CCA
-        // sensitivity threshold is received on P40.
-        Simulator::Schedule(
-            delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 20 MHz signal that occupies S20 above ED threshold followed by a 40 "
-            "MHz HE PPDU that occupies P40 below CCA sensitivity threshold");
+        // Verify PHY state stays IDLE but CCA-BUSY indication is still reported as long as a
+        // signal above the energy detection threshold occupies the S20 while a 40 MHz PPDU
+        // below the CCA sensitivity threshold is received on P40.
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 20 MHz signal that occupies S20 above ED threshold "
+                            "followed by a 40 "
+                            "MHz PPDU that occupies P40 below CCA sensitivity threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(1) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(46);
         ScheduleTest(
             delay,
             {{dBm_u{-60},
@@ -1626,51 +1812,25 @@
               P40_CENTER_FREQUENCY,
               MHz_u{40}}}, // PPDU on P40 below threshold
             {
-                {MicroSeconds(50) + aCcaTime, WifiPhyState::IDLE}, // PHY state stays IDLE
+                {MicroSeconds(50) + aCcaTimeWithDelta, WifiPhyState::IDLE}, // PHY state stays IDLE
             },
             {{MicroSeconds(50) - smallDelta,
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY,
-              ((m_channelWidth > 20)
-                   ? ((m_channelWidth > 40)
-                          ? ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                                       MicroSeconds(100),
-                                                                       MicroSeconds(0),
-                                                                       MicroSeconds(0),
-                                                                       MicroSeconds(0),
-                                                                       MicroSeconds(0),
-                                                                       MicroSeconds(0),
-                                                                       MicroSeconds(0)}
-                                                   : std::vector<Time>{MicroSeconds(0),
-                                                                       MicroSeconds(100),
-                                                                       MicroSeconds(0),
-                                                                       MicroSeconds(0)})
-                          : std::vector<Time>{MicroSeconds(0), MicroSeconds(100)})
-                   : std::vector<Time>{})},
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
              {MicroSeconds(100) - smallDelta,
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY,
-              ((m_channelWidth > 40) ? ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                                                  MicroSeconds(46),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)}
-                                                              : std::vector<Time>{MicroSeconds(0),
-                                                                                  MicroSeconds(46),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)})
-                                     : std::vector<Time>{MicroSeconds(0), MicroSeconds(46)})}});
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
     }
 
     if (m_channelWidth > MHz_u{40})
     {
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal below
-        // the energy detection threshold occupies S40
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal
+        // below the energy detection threshold occupies S40
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
@@ -1684,7 +1844,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -1694,15 +1854,16 @@
         delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy detection
-        // threshold occupies the first 20 MHz subchannel of the S40: 27.3.20.6.4: Any signal within
-        // the secondary 40 MHz channel at or above a threshold of –59 dBm within a period of
-        // aCCATime after the signal arrives at the receiver's antenna(s).
+        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy
+        // detection threshold occupies the first 20 MHz subchannel of the S40: 27.3.20.6.4: Any
+        // signal within the secondary 40 MHz channel at or above a threshold of –59 dBm within
+        // a period of aCcaTimeWithDelta after the signal arrives at the receiver’s antenna(s).
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies the first subchannel of "
                             "S40 above ED threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(2) = MicroSeconds(100);
         ScheduleTest(delay,
                      {{dBm_u{-55},
                        MicroSeconds(0),
@@ -1711,7 +1872,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -1720,23 +1881,13 @@
                      {{MicroSeconds(100) - smallDelta,
                        MicroSeconds(100),
                        WIFI_CHANLIST_SECONDARY40,
-                       ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0)}
-                                              : std::vector<Time>{MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(0)})}});
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE for the S40 if a signal below the energy detection threshold
-        // occupies the second 20 MHz subchannel of the S40
+        // Verify PHY state stays IDLE for the S40 if a signal below the energy detection
+        // threshold occupies the second 20 MHz subchannel of the S40
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
@@ -1750,7 +1901,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -1760,15 +1911,17 @@
         delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy detection
-        // threshold occupies the second 20 MHz subchannel of the S40: 27.3.20.6.4: Any signal
-        // within the secondary 40 MHz channel at or above a threshold of –59 dBm within a period of
-        // aCCATime after the signal arrives at the receiver's antenna(s).
+        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy
+        // detection threshold occupies the second 20 MHz subchannel of the S40: 27.3.20.6.4:
+        // Any signal within the secondary 40 MHz channel at or above a threshold of –59 dBm
+        // within a period of aCcaTimeWithDelta after the signal arrives at the receiver's
+        // antenna(s).
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies the second subchannel of "
                             "S40 above ED threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(3) = MicroSeconds(100);
         ScheduleTest(delay,
                      {{dBm_u{-55},
                        MicroSeconds(0),
@@ -1777,7 +1930,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -1786,23 +1939,13 @@
                      {{MicroSeconds(100) - smallDelta,
                        MicroSeconds(100),
                        WIFI_CHANLIST_SECONDARY40,
-                       ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0)}
-                                              : std::vector<Time>{MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(100)})}});
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE for the S40 if a signal below the energy detection threshold
-        // occupies S40
+        // Verify PHY state stays IDLE for the S40 if a signal below the energy detection
+        // threshold occupies S40
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
@@ -1812,7 +1955,7 @@
             {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY, MHz_u{40}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                 {MicroSeconds(100) - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
                 {MicroSeconds(100) + smallDelta,
